Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1879162 - Config logic for skip-nodes-with-local-storage is flawed
Summary: Config logic for skip-nodes-with-local-storage is flawed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.z
Assignee: Michael McCune
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On: 1854907
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-15 14:52 UTC by Michael McCune
Modified: 2020-11-17 16:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1854907
Environment:
Last Closed: 2020-11-17 16:06:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-autoscaler-operator pull 164 0 None closed Bug 1879162: ensure full boolean arguments 2021-01-28 23:05:41 UTC
Red Hat Product Errata RHBA-2020:5051 0 None None None 2020-11-17 16:06:29 UTC

Comment 1 sunzhaohua 2020-11-04 01:46:14 UTC
This bug's PR is dev-approved and not yet merged, so I'm following DPTP-660 to do pre-merge verification by using cluster-bot to launch a cluster with the open PR.

clusterversion: 4.5.0-0.ci.test-2020-11-04-002132-ci-ln-0w8i4rt
spec:
  balanceSimilarNodeGroups: false
  skipNodesWithLocalStorage: false
  ignoreDaemonsetsUtilization: false
$ oc edit deploy cluster-autoscaler-default
        - --balance-similar-node-groups=false
        - --ignore-daemonsets-utilization=false
        - --skip-nodes-with-local-storage=false
spec:
  balanceSimilarNodeGroups: true
  skipNodesWithLocalStorage: true
  ignoreDaemonsetsUtilization: true
        - --balance-similar-node-groups=true
        - --ignore-daemonsets-utilization=true
        - --skip-nodes-with-local-storage=true
...

So this bug is pre-merge-verified. After the PR gets merged, the bug will be moved to VERIFIED by the bot automatically, if not working, I will move to VERIFIED manually.

Comment 5 errata-xmlrpc 2020-11-17 16:06:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.19 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:5051


Note You need to log in before you can comment on or make changes to this bug.